ServerEvents.recipes(event => {

    event.remove({ id: 'mekanismtools:osmium/nugget_from_blasting' })
    event.remove({ id: 'mekanismtools:bronze/nugget_from_blasting' })
    event.remove({ id: 'mekanismtools:refined_glowstone/nugget_from_blasting' })
    event.remove({ id: 'mekanismtools:refined_obsidian/nugget_from_blasting' })
    event.remove({ id: 'mekanismtools:steel/nugget_from_blasting' })
    event.remove({ id: 'mekanismtools:osmium/nugget_from_smelting' })
    event.remove({ id: 'mekanismtools:bronze/nugget_from_smelting' })
    event.remove({ id: 'mekanismtools:refined_glowstone/nugget_from_smelting' })
    event.remove({ id: 'mekanismtools:refined_obsidian/nugget_from_smelting' })
    event.remove({ id: 'mekanismtools:steel/nugget_from_smelting' })

    event.custom({
        "type": "mekanism:rotary",
        "fluidInput": {
            "amount": 1,
            "fluid": "bloodmagic:life_essence_fluid"
        },
        "fluidOutput": {
            "amount": 1,
            "fluid": "bloodmagic:life_essence_fluid"
        },
        "gasInput": {
            "amount": 1,
            "gas": "reclamation:aerated_essence"
        },
        "gasOutput": {
            "amount": 1,
            "gas": "reclamation:aerated_essence"
        }
    })

    event.custom({
        "type": "mekanism:chemical_infusing",
        "leftInput": {
            "amount": 2,
            "gas": "reclamation:aerated_essence"
        },
        "output": {
            "amount": 1,
            "gas": "reclamation:essence_boosted_ethylene"
        },
        "rightInput": {
            "amount": 1,
            "gas": "mekanism:ethene"
        }
    })

    event.remove({ id: 'mekanism:metallurgic_infuser' })
    event.shaped('mekanism:metallurgic_infuser', [
        'IFI',
        'RDR',
        'IFI'
    ], {
        I: 'minecraft:iron_ingot',
        F: 'minecraft:blast_furnace',
        R: 'minecraft:redstone_block',
        D: 'embers:lead_block'
    })

    event.replaceInput({ id: 'mekanism:configurator' },
        'minecraft:lapis_lazuli',
        'embers:dawnstone_ingot')
    event.replaceInput({ id: 'mekanism:energy_cube/basic' },
        'mekanism:steel_casing',
        'mekanism:block_steel')

    event.remove({ id: 'mekanism:cardboard_box' })

    event.replaceInput({ id: 'mekanism:tier_installer/basic' },
        'mekanism:basic_control_circuit',
        'embers:ember_crystal_cluster'
    )

    //ore processing from silk touched ores buff
    event.forEachRecipe({ type: 'mekanism:dissolution'}, recipe => {
        let json = recipe.json
        let output = json.get('output')
        let itemInput = json.get('itemInput')

        if (output.get('amount') == 1000 && output.get('slurry') && itemInput) {
            event.custom({
                "type": "mekanism:dissolution",
                "gasInput": {
                    "amount": 1,
                    "gas": "mekanism:sulfuric_acid"
                },
                "itemInput": itemInput,
                "output": {
                    "amount": 4000,
                    "chemicalType": output.get('chemicalType'),
                    "slurry": output.get('slurry')
                }
            })
            event.remove({id: recipe.getId()})
        }
    })
})